Subject: Re: software for processing and printing hanzi

From: Stephen G Simpson <[email-masked]>
Date: Fri, 11 Feb 1994 12:36:59 -0500

> Is there already an information source or could someone provide
 > informations on which free/share/commercial software one can use on UNIX
 > for input, processing, previewing and output of Chinese, how to get
 > them, what are their relative merits/restrictions (concerning code etc.)?

My personal recommendations on free Unix software for Chinese are in a
file available for anonymous ftp at
math.psu.edu:/pub/simpson/chinese/info/unix.software.  This is the
software that I use.  Sorry, I can't give a detailed comparison of
various alternatives.  Here are my recommendations:

Last revised: 25 Feb 1993

For Chinese on a UNIX workstation, I recommend the following free
software, available by anonymous ftp:

Windowing system -- X11R5

Chinese terminal emulator -- cxterm (Chinese-capable xterm) [from
cs.purdue.edu:pub/ygz] (should run in any version of X windows)

editing Chinese text files -- celvis (Chinese-capable clone of vi)
[from cs.purdue.edu:pub/ygz] or cemacs (Chinese macros for GNU Emacs)
[from math.psu.edu:pub/simpson/chinese/cemacs], both running inside
cxterm

printing Chinese text files on a Postscript printer -- hz2ps package
[from ifcss.org:software/unix/print/hz2ps]

printing Chinese text files on non-PostScript printers --
(sorry, I don't know what to recommend)

TeX package -- Unix TeX 3.1 or later, xdvi, dvips 5.4, PostScript printer

Chinese TeX macros and fonts -- Poor Man's Chinese TeX [from
math.psu.edu:pub/simpson/chinese/pmc] (should work with any printer).

Chinese e-mail and news --
HZ package [from ifcss.org:/software/unix/convert/HZ]
and hztty [from cs.purdue.edu:pub/ygz/zW-hz/hztty]

See math.psu.edu:pub/simpson/chinese/info/ftp.sites for more
information on anonymous ftp sites where this and other Chinese
software can be obtained.

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20@PSUVM
FAX: +1 814 865-3735